require_dependency "a4nt/application_controller"

module A4nt
  class AnnouncementsController < ApplicationController
    # GET /announcements
    # GET /announcements.json
    def index
      @announcements = Announcement.all
  
      respond_to do |format|
        format.html # index.html.erb
        format.json { render json: @announcements }
      end
    end
  
    # GET /announcements/1
    # GET /announcements/1.json
    def show
      @announcement = Announcement.find(params[:id])
  
      respond_to do |format|
        format.html # show.html.erb
        format.json { render json: @announcement }
      end
    end
  
    # GET /announcements/new
    # GET /announcements/new.json
    def new
      @announcement = Announcement.new
  
      respond_to do |format|
        format.html # new.html.erb
        format.json { render json: @announcement }
      end
    end
  
    # GET /announcements/1/edit
    def edit
      @announcement = Announcement.find(params[:id])
    end
  
    # POST /announcements
    # POST /announcements.json
    def create
      @announcement = Announcement.new(announcement_params)
  
      respond_to do |format|
        if @announcement.save
          format.html { redirect_to @announcement, notice: 'Announcement was successfully created.' }
          format.json { render json: @announcement, status: :created, location: @announcement }
        else
          format.html { render action: "new" }
          format.json { render json: @announcement.errors, status: :unprocessable_entity }
        end
      end
    end
  
    # PUT /announcements/1
    # PUT /announcements/1.json
    def update
      @announcement = Announcement.find(params[:id])
  
      respond_to do |format|
        if @announcement.update_attributes(announcement_params)
          format.html { redirect_to @announcement, notice: 'Announcement was successfully updated.' }
          format.json { head :no_content }
        else
          format.html { render action: "edit" }
          format.json { render json: @announcement.errors, status: :unprocessable_entity }
        end
      end
    end
  
    # DELETE /announcements/1
    # DELETE /announcements/1.json
    def destroy
      @announcement = Announcement.find(params[:id])
      @announcement.destroy
  
      respond_to do |format|
        format.html { redirect_to announcements_url }
        format.json { head :no_content }
      end
    end

    private

      def announcement_params
        params.require(:announcement).permit(:body, :end_time, :position, :start_time, :title, :target)
      end
  end
end
